function [CS] = getCS(vector)
% makes a unit, right handed CS with vector as X. Y and Z are randomly
% determined.

X = vector;
Y = cross(X,rand(1,3));
Z = cross(X,Y);
CS = [X/norm(X); Y/norm(Y); Z/norm(Z)];

end